## sugar-calculate-activity 25

=== Makefile ===
SSDIR=sharedstate.git
SSGIT=git://dev.laptop.org/projects/sharedstate

all: update_ss

install:
	python setup.py install ${SUGAR_PREFIX}

clean:
	rm -rf ${SSDIR} sharedstate

update_ss:
	./update_sharedstate

## sugar-calculate-activity 30

=== debian/changelog ===
sugar-calculate-activity (30-5ubuntu1) maverick; urgency=low

  * Fixed unmet dependancy issue. (LP: #608749) 

 -- Neeraj Gupta <neeraj@seeta.in>  Fri, 23 Jul 2010 01:04:30 +0530

sugar-calculate-activity (30-5) unstable; urgency=low

  * Add patch, and stop using quilt (unneeded with new source format,
    and Sugar not backportable to Etch anyway). Stop build-depending on
    quilt or patchutils. Stop mentioning quilt in README.source.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Nov 2009 17:16:04 +0100

sugar-calculate-activity (30-4) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * Restructure patch to DEP3 format: Add meta-info; drop leading number
    and README.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Nov 2009 10:18:54 +0100

sugar-calculate-activity (30-3) unstable; urgency=low

  * Update python-sugar.mk to replace superfluous COPYING files with
    symlinks.
  * Drop COPYING removal (python-sugar.mk replaces with symlink now).
  * Fix python-sugar.mk to include both simple and versioned activity
    packages in DEB_PYTHON_SUGAR_PACKAGES by default. This fixes
    sugar-calculate-activity virtually empty binary package, and closes:
    bug#552332, thanks to Sascha Silbe.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Oct 2009 19:24:50 +0100

sugar-calculate-activity (30-2) unstable; urgency=low

  * Update CDBS snippets:
    + Fix use underscore (not dash) for internal variables.
    + Fix build-depend unversioned on python-sugar-toolkit, to allow
      branched packages.
    + Fix include branched activities in python-sugar.mk.
    + Build-depend branched/unbranched on python-sugar-toolkit based on
      new variable DEB_SUGAR_BRANCHES in python-sugar.mk.
  * Fix and tighten sugar-related (build-)dependencies to known working
    branches.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 12:27:59 +0200

sugar-calculate-activity (30-1) unstable; urgency=low

  * New upstream release.
  * Drop patches 1002 and 2002 now obsolete (sharedstate no longer used
    upstram).
  * Update dependencies:
    + Handle binary (not only source) dependencies in rules file.
    + Tighten build-ependency on debhelper.
    + Tighten Sugar-related dependencies to 0.84 branch.
    + Depend on python-dbus and python-telepathy, and drop dependency on
      sugar-sharedstate-classes.
    + Depend on python-rsvg (with librsvg2-common and old
      python-gnome2-desktop as fallbacks).
    + Recommend python-matplotlib.
  * Update CDBS snippets:
    + Simplify internal variables
    + Ignore no files by default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Add git-buildpackage configfile, enable signed-tags and use of
    pristine-tar.
  * Add README.source. Drop README.cdbs-tweaks, README.packaging and
    CDBS hints in debian/rules.
  * Update copyright and licensing info:
    + Add proper copyright header to debian/rules.
    + Rewrite debian/copyright using DEP5 rev54 machine-readable format.
    + Ignore PO-files with bogus copyright info. Fix years of po/pl.po
      and debian/*.
  * Fix Homepage URL.
  * Bump up policy compliance to standards version 3.8.3.
  * Drop superfluous COPYING file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 19:03:13 +0200

sugar-calculate-activity (25-2) unstable; urgency=low

  * Adjust DEB_UPSTREAM_URL (standard Sugar naming used now).
  * Extend patch 2002 to strip sharedstate files from MANIFEST.
  * Update local CDBS snippets:
    + Really install into right path. Closes: 485233.
    + Fix install Sugar activitites by their non-localized name.
    + Dynamically update locale entries in MANIFEST.
  * Semi-auto-update debian/control to tighten build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Dec 2008 21:41:45 +0100

sugar-calculate-activity (25-1) unstable; urgency=low

  * New upstream release.
  * Update copyright-check (no new owners or copyrights).
  * Revert standards version to 3.7.3 (README.source needed to comply
    with 3.8.0).
  * Drop patch 1004, fixed upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Dec 2008 15:52:39 +0100

sugar-calculate-activity (23-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Depend on ${misc:Depends}.

  [ Luke Faraone ]
  * Install activity in the right path. (Closes: #485233)

  [ Holger Levsen ]
  * Bump standards version to 3.8.0, no changes needed.
  * Add myself to uploaders.
  * Add patch 1004 to fix po/ne.po, else it FTBFS.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Oct 2008 11:58:04 +0200

sugar-calculate-activity (23-1) unstable; urgency=low

  * New upstream release.
  * Drop patches 1001 and 2002 no longer relevant.
  * Add patch 2002 to use packaged sharedstate (not git-clone it).
  * Update cdbs snippets:
    + Use new upstream-tarball.mk to implement get-orig-source target
      and more.
    + Fix python-sugar.mk to work with recent python-sugar-toolkit where
      MANIFEST files are ignored and an internal hardcoded exception
      list is used instead.  Tighten build-dependency.
    + Relax copyright-check to only warn about its discoveries.  See
      bug#486975 for more info.
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update copyright-check output to more closely match proposed new
      copyright file format.  Update copyright-hints.
    + Update README.cdbs-tweaks.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).
  * Semi-auto-update debian/control to update dependencies:


=== debian/control ===
Source: sugar-calculate-activity
Section: x11
Priority: optional
Maintainer:  Ubuntu SugarTeam <ubuntu-sugarteam@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Holger Levsen <holger@debian.org>
Build-Depends: cdbs (>= 0.4.39),
 devscripts (>= 2.10.7),
 debhelper (>= 6),
 python-sugar-0.88,
 python-sugar-toolkit-0.88,
 unzip,
 python-dev (>= 2.3.5-11),
 python-central (>= 0.5.6),
 dh-buildinfo
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/sugar-calculate-activity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-calculate-activity.git;a=summary
Homepage: http://wiki.laptop.org/go/Calculate
XS-Python-Version: all

Package: sugar-calculate-activity
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${cdbs:Depends}, ${misc:Depends}
Recommends: ${cdbs:Recommends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: calculate activity for the Sugar graphical shell
 Sugar is a graphical user interface aimed at children.
 .
 Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package contains the calculate activity, providing a generic
 calculator. The interface provides the simplest functions directly and
 should therefore be easy to use for the youngest children. However, it
 does support more complicated math and variables.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008-2009 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Calculate
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

DEB_PYTHON_SYSTEM = pycentral
DEB_SUGAR_BRANCHES = 0.88
ifneq (,$(DEB_MAINTAINER_MODE))
  # Enable stuff not policy compliant (eg. unsuitable for build daemons)
  DEB_COPYRIGHT_CHECK_STRICT = yes
  DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes
endif
include debian/cdbs/1/rules/upstream-tarball.mk
include debian/cdbs/1/rules/copyright-check.mk
include debian/cdbs/1/class/python-sugar.mk
include debian/cdbs/1/rules/buildinfo.mk

activity = Calculate
pkg = sugar-calculate-activity

DEB_UPSTREAM_PACKAGE = $(activity)
DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/fructose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
DEB_UPSTREAM_TARBALL_MD5 = 011bd911516f27d05194320164c7dcd7

# Needed (always/often) at runtime
#  python-rsvg fallbacks unneeded since python-rsvg 2.24.0-2: can be dropped after Squeeze+1
CDBS_DEPENDS = $(call cdbs_sugar_anybranchdeps,python-sugar python-sugar-toolkit sugar-presence-service)
CDBS_DEPENDS += , python-gobject, python-gtk2, python-dbus, python-telepathy
CDBS_DEPENDS += , python-rsvg | python-gnome2-desktop (<= 2.24.0-1), python-rsvg | librsvg2-common
CDBS_RECOMMENDS = $(call cdbs_sugar_anybranchdeps,sugar)
CDBS_RECOMMENDS = , python-matplotlib

# Resolve, cleanup and apply CDBS-declared dependencies
include debian/cdbs/1/rules/package-relations.mk

## sugar-calculate-activity 40

=== debian/changelog ===
sugar-calculate-activity (40-2) unstable; urgency=low

  * Fix stop depending on unused sugar-presence-service.
  * Suggest sugar-session.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 20:35:21 +0200

sugar-calculate-activity (40-1) unstable; urgency=low

  * New upstream release.

  [ Holger Levsen ]
  * Remove myself from uploaders. 

  [ Jonas Smedegaard ]
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Revert apply patch to source in Git (and just drop it, as it is now
    fixed upstream).
  * Drop build-dependencies on quilt and patchutils.
  * Include debhelper.mk (do not rely on python-sugar.mk including it).
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir.
  * Shorten Vcs-Git, and use anonscm.debian.org for Vcs-Browser.
  * Append _DEFAULT to deprecated CDBS variables in rules file.
  * Update package relations:
    + Tighten build-dependency on cdbs and python: Needed for python2
      helper.
    + Stop build-depending on python-central: No longer used.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.
    + Suppress unneeded auto-resolved build-dependency on python-dev.
  * Bump debhelper compatibility level to 7.
  * Bump standards-version to 3.9.3.
  * Use Python helper python2 (not python-central).
  * Refer to FSF website (not postal address) in licensing header of
    rules file.
  * Extend copyright of Debian packaging to cover recent years.
  * Rewrite copyright file using format 1.0.
  * Set 0.88 as default branch (and drop branch list): Works on all
    (currently packaged) Sugar branches.
  * Modernize long description, based on upstream wiki phrases.
  * Unset executable bit on svg file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 17:47:16 +0200

=== debian/control ===
Source: sugar-calculate-activity
Section: x11
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts,
 python (>= 2.6.5),
 cdbs (>= 0.4.97~),
 debhelper,
 dh-buildinfo,
 python-sugar-0.88 | python-sugar,
 python-sugar-toolkit-0.88 | python-sugar-toolkit,
 unzip
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/sugar-calculate-activity
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sugar-calculate-activity.git
Homepage: http://wiki.laptop.org/go/Calculate

Package: sugar-calculate-activity
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${cdbs:Depends}, ${misc:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}
Description: calculate activity for the Sugar graphical shell
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 The calculate activity provides a generic calculator. The interface
 provides the simplest functions directly and should therefore be easy
 to use for the youngest children. However, it does support more
 complicated math and variables.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2008, 2009, 2010, 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Calculate
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-sugar.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = sugar-calculate-activity
DEB_SUGAR_PRIMARY_BRANCH = 0.88

DEB_UPSTREAM_PACKAGE = Calculate
DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/fructose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
DEB_UPSTREAM_TARBALL_MD5 = 9ec9e5c3fcae177a375738ddc7bf0809

# Suppress unneeded auto-resolved build-dependency on python-dev
CDBS_BUILD_DEPENDS_class_python-sugar_python = python$(cdbs_python_nondefault_version)

# Needed (always/often/seldom) at runtime
#  python-rsvg fallbacks unneeded since python-rsvg 2.24.0-2: can be dropped after Squeeze+1
CDBS_DEPENDS_$(pkg) = $(call cdbs_sugar_anybranchdeps,python-sugar python-sugar-toolkit)
CDBS_DEPENDS_$(pkg) += , python-gobject, python-gtk2, python-dbus, python-telepathy
CDBS_DEPENDS_$(pkg) += , python-rsvg | python-gnome2-desktop (<= 2.24.0-1), python-rsvg | librsvg2-common
CDBS_RECOMMENDS_$(pkg) = python-matplotlib
CDBS_SUGGEST_$(pkg) = $(call cdbs_sugar_anybranchdeps,sugar-session)

binary-fixup/$(pkg)::
	find $(cdbs_curdestdir) -type f -name '*.svg' -exec chmod -R -x '{}' \;

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
http://download.sugarlabs.org/sources/sucrose/fructose/Calculate/Calculate-(.*)\.tar\.bz2

## sugar-calculate-activity 43

=== debian/changelog ===
sugar-calculate-activity (43-3) unstable; urgency=medium

  * Update copyright info:
    + Update URLs to reflect new Github home.
    + Extend coverage for Debian packaging.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Dec 2016 20:06:31 +0100

sugar-calculate-activity (43-2) unstable; urgency=medium

  * Update package relations:
    + Fix suppress build-dependency on python-dev.
    + (Build-)depend on unbranched Glucose (i.e. core libraries).
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Jun 2015 13:05:24 -0500

sugar-calculate-activity (43-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream authors.
  * Update alternate git source URL.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jun 2015 12:35:30 -0500

sugar-calculate-activity (40-3) unstable; urgency=medium

  * Modernize short and long description.
  * Update Homepage.
  * Declare compliance with Debian Policy 3.9.6.
  * Move packaging to Debian Sugar Team.
  * Sort package relations fields.
  * Drop ${shlibs:Depends}: superfluous for arch-all.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for myself, and relicense packaging as GPL-3+.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Bump dephelper compatibility level to 8.
  * Update package relations:
    + Drop fallback-dependencies for python-rsvg: Available even in
      oldstable.
    + Make build-dependency suppression future-compatible with cdbs 0.5.
    + Bump primary Sugar branch to 0.98.
    + Relax to build-depend unversioned on python: Needed version
      satisfied even in oldstable.
    + Relax slightly build-dependency on cdbs.
    + Fix explicitly depend on python.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jun 2015 11:52:15 -0500

=== debian/control ===
Source: sugar-calculate-activity
Section: x11
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.90~),
 licensecheck,
 debhelper,
 dh-buildinfo,
 python,
 python-sugar,
 python-sugar-toolkit,
 unzip
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar-calculate-activity
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar-calculate-activity.git
Homepage: https://wiki.sugarlabs.org/go/Activities/Calculate

Package: sugar-calculate-activity
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}
Description: Sugar Learning Platform - calculation activity
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 Learner applications in Sugar are called Activities.  They are software
 packages that automatically save your work - producing specific
 instances of the Activity that can be resumed at a later time.  Many
 Activities support learner collaboration, where multiple learners may
 be invited to join a collective Activity session.
 .
 The Calculate Activity is an infix-notation graphing calculator. Type
 an expression or select components from the toolbars, and press Return
 to evaluate it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2008-2010, 2012, 2015-2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Calculate
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-sugar.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = sugar-calculate-activity

DEB_UPSTREAM_PACKAGE = Calculate
DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/fructose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2

# Suppress unneeded auto-resolved build-dependency on python-dev
#  * TODO: drop cdbs_python_binary fallback when cdbs 0.4.150 is stable
CDBS_BUILD_DEPENDS_class_python-sugar_python = $(or $(cdbs_python2_defaultruntime),$(cdbs_python_binary))

# Needed (always/often/seldom) at runtime
CDBS_DEPENDS_$(pkg) = python, python-sugar, python-sugar-toolkit
CDBS_DEPENDS_$(pkg) += , python-gobject, python-gtk2, python-dbus, python-telepathy
CDBS_DEPENDS_$(pkg) += , python-rsvg
CDBS_RECOMMENDS_$(pkg) = python-matplotlib
CDBS_SUGGEST_$(pkg) = sugar-session

binary-fixup/$(pkg)::
	find $(cdbs_curdestdir) -type f -name '*.svg' -exec chmod -R -x '{}' \;

## sugar-calculate-activity 44

=== debian/changelog ===
sugar-calculate-activity (44-3) unstable; urgency=medium

  * Fix stop depend on python-rsvg (unused since upstream release 44).
    Closes: Bug#790156. Thanks to Emilio Pozuelo Monfort and James
    Cameron.
  * Modernize Vcs-* fields: Consistently use .git suffix.
  * Declare compliance with Debian Policy 4.1.1.
  * Update watch file: Use substitution strings.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Oct 2017 10:26:43 +0200

sugar-calculate-activity (44-2) unstable; urgency=medium

  * Fix Vcs-Git path.
  * Tighten lintian overrides regarding License-Reference.
  * Update watch file:
    + Bump format version.
    + Mention gbp --uscan in usage comment.
    + Tighten version regex.
  * Update git-buildpackage config: Filter any .git* files.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Aug 2017 17:57:08 +0200

sugar-calculate-activity (44-1) unstable; urgency=medium

  [ upstream ]
    + License changes.
    + Remove suspicious code.
    + Remove deprecated MANIFEST.
    + New and updated translations.
    + Remove insignificant zeros in result.
    + Fix missing sign of result less than zero.
    + Block redefinition of constants.
    + Port to GTK+ 3.

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
  * Drop obsolete lintian override regarding debhelper 9.
  * Update package relations:
    + (Build-)depend on python-sugar3 (not python-sugar or
      python-sugar-toolkit-*).
    + Depend on python-gir and some GIR bindings, instead of some Python
      libraries.
    + Stop suggest sugar-session.
  * Fix rename locales aym→ay ibo→ig: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Aug 2017 23:11:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,15 @@
 Priority: optional
 Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.90~),
- licensecheck,
+Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
  python,
- python-sugar,
- python-sugar-toolkit,
+ python-sugar3,
  unzip
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar-calculate-activity
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar-calculate-activity.git
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/pkg-sugar/sugar-calculate-activity.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sugar/sugar-calculate-activity.git
 Homepage: https://wiki.sugarlabs.org/go/Activities/Calculate
 
 Package: sugar-calculate-activity

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2008-2010, 2012, 2015-2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Calculate
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/class/python-sugar.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = sugar-calculate-activity

# Suppress unneeded auto-resolved build-dependency on python-dev
#  * TODO: drop cdbs_python_binary fallback when cdbs 0.4.150 is stable
CDBS_BUILD_DEPENDS_class_python-sugar_python = $(or $(cdbs_python2_defaultruntime),$(cdbs_python_binary))

# Override Sugar toolkit to use
CDBS_BUILD_DEPENDS_class_python-sugar_sugar = python-sugar3, unzip

# Needed (always/often/seldom) at runtime
python-deps = sugar3 gi dbus telepathy
gir-deps = glib-2.0 gtk-3.0 pango-1.0 rsvg-2.0
CDBS_DEPENDS_$(pkg) = python
CDBS_DEPENDS_$(pkg) +=, $(patsubst %,$(comma) python-%,$(python-deps))
CDBS_DEPENDS_$(pkg) +=, $(patsubst %,$(comma) gir1.2-%,$(gir-deps))
CDBS_RECOMMENDS_$(pkg) = python-matplotlib

# Fix favor ISO 639-1 when differing from ISO 639-2
binary-post-install/$(pkg)::
	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
		debian/$(cdbs_curpkg)/usr/share/locale/ay
	mv debian/$(cdbs_curpkg)/usr/share/locale/ibo \
		debian/$(cdbs_curpkg)/usr/share/locale/ig

binary-fixup/$(pkg)::
	find $(cdbs_curdestdir) -type f -name '*.svg' -exec chmod -R -x '{}' \;

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
http://download.sugarlabs.org/sources/sucrose/fructose/Calculate/Calculate@ANY_VERSION@@ARCHIVE_EXT@

## sugar-calculate-activity 45

=== debian/changelog ===
sugar-calculate-activity (45-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Regenerate POT file.
    + New translations.
    + Port from exec to importlib.
    + Fix flake8 errors and warnings.
    + Fix Gtk-CRITICAL error gtk_toolbar_remove.
    + Port Telepathy static binding to PyGObject binding.
    + Add README source repository documentation.
    + Fix typo and unify docstrongs.
    + Add .gitgnore and change metadata.
    + Use named arguments for translatable strings.
    + Add a screenshot.

  [ Jonas Smedegaard ]
  * Simplify rules.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.3.0.
  * Update Vcs-* URLs: Maintenance moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Depend on gir1.2-telepathyglib-0.12 (not python-telepathy).
  * Update watch file: Rewrite usage comment.
  * Update copyright info:
    + Use https protocol in alternate Source URL.
    + Strip superfluous copyright signs.
    + Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Mar 2019 20:55:37 +0100

=== debian/control ===
Source: sugar-calculate-activity
Section: x11
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cdbs,
 debhelper,
 python,
 python-sugar3,
 unzip,
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-calculate-activity.git
Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-calculate-activity
Homepage: https://wiki.sugarlabs.org/go/Activities/Calculate
Rules-Requires-Root: no

Package: sugar-calculate-activity
Architecture: all
Depends:
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-rsvg-2.0,
 gir1.2-telepathyglib-0.12,
 python,
 python-dbus,
 python-gi,
 python-sugar3,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-matplotlib,
Provides:
 ${python:Provides},
Description: Sugar Learning Platform - calculation activity
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 Learner applications in Sugar are called Activities.
 They are software packages that automatically save your work -
 producing specific instances of the Activity
 that can be resumed at a later time.
 Many Activities support learner collaboration,
 where multiple learners may be invited
 to join a collective Activity session.
 .
 The Calculate Activity is an infix-notation graphing calculator.
 Type an expression or select components from the toolbars,
 and press Return to evaluate it.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/python-sugar.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = sugar-calculate-activity

# Fix favor ISO 639-1 when differing from ISO 639-2
binary-post-install/$(pkg)::
	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
		debian/$(cdbs_curpkg)/usr/share/locale/ay
	mv debian/$(cdbs_curpkg)/usr/share/locale/ibo \
		debian/$(cdbs_curpkg)/usr/share/locale/ig

binary-fixup/$(pkg)::
	find $(cdbs_curdestdir) -type f -name '*.svg' -exec chmod -R -x '{}' \;

## sugar-calculate-activity 46

=== debian/changelog ===
sugar-calculate-activity (46-2) unstable; urgency=medium

  * fix recommend python3-matplotlib (not python-matplotlib);
    closes: bug#938584, thanks to Sandro Tosi
  * fix provide ${python3:Provides} (not ${python:Provides})
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jun 2020 08:13:47 +0200

sugar-calculate-activity (46-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 10 (not 9)
  * declare compliance with Debian Policy 4.5.0
  * (build-)depend on python3 modules (not python);
    build-depend on dh-python;
    closes: bug#938584, thanks to Matthias Klose
  * stop rename locale ibo (no longer shipped upstream)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Apr 2020 12:45:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends:
  cdbs,
  debhelper,
- python,
- python-sugar3,
+ dh-python,
+ python3,
+ python3-sugar3,
  unzip,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-calculate-activity.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-calculate-activity
 Homepage: https://wiki.sugarlabs.org/go/Activities/Calculate
@@ -24,16 +25,16 @@
  gir1.2-pango-1.0,
  gir1.2-rsvg-2.0,
  gir1.2-telepathyglib-0.12,
- python,
- python-dbus,
- python-gi,
- python-sugar3,
+ python3,
+ python3-dbus,
+ python3-gi,
+ python3-sugar3,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
 Recommends:
- python-matplotlib,
+ python3-matplotlib,
 Provides:
- ${python:Provides},
+ ${python3:Provides},
 Description: Sugar Learning Platform - calculation activity
  Sugar Learning Platform promotes collaborative learning
  through Sugar Activities that encourage critical thinking,

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 binary-post-install/$(pkg)::
 	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
 		debian/$(cdbs_curpkg)/usr/share/locale/ay
-	mv debian/$(cdbs_curpkg)/usr/share/locale/ibo \
-		debian/$(cdbs_curpkg)/usr/share/locale/ig
 
 binary-fixup/$(pkg)::
 	find $(cdbs_curdestdir) -type f -name '*.svg' -exec chmod -R -x '{}' \;

## sugar-calculate-activity 47

=== debian/changelog ===
sugar-calculate-activity (47-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix shebang to call python3 (not python)
  * simplify build;
    build-depend on dh-linktree dh-sequence-python3
    (not cdbs dh-python)
  * tighten build-dependency on python3-sugar3,
    to ensure build path don't leak into installed files;
    closes: but#975374, thanks to Vagrant Cascadian and James Cameron
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Feb 2021 22:50:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- cdbs,
- debhelper,
- dh-python,
+ debhelper-compat (= 12),
+ dh-linktree,
+ dh-sequence-python3,
  python3,
- python3-sugar3,
+ python3-sugar3 (>= 0.118-3~),
  unzip,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-calculate-activity.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-calculate-activity
 Homepage: https://wiki.sugarlabs.org/go/Activities/Calculate

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

PKG = $(DEB_SOURCE)

export PYBUILD_SYSTEM = custom
export PYBUILD_INSTALL_ARGS = HOME=debian/fakehome \
 && mkdir --parents "$$HOME" \
 && /usr/bin/python3 setup.py install --destdir debian/tmp \
 && rm -rf "$$HOME"

# omit git hint files
%:
	dh $@ --with linktree --buildsystem=pybuild -X.git

execute_after_dh_install:
# Fix favor ISO 639-1 when differing from ISO 639-2
	mv debian/$(PKG)/usr/share/locale/aym \
		debian/$(PKG)/usr/share/locale/ay
# Unset executable bit
# (see <https://github.com/sugarlabs/calculate-activity/issues/72>)
	find $(cdbs_curdestdir) -type f -name '*.svg' -exec chmod -R -x '{}' \;
# Ensure proper hash-bang in Python script (Python Policy 0.9 §3.1)
	perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python3,' \
		debian/*/usr/share/sugar/activities/*/setup.py

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

http://download.sugarlabs.org/sources/sucrose/fructose/Calculate/Calculate@ANY_VERSION@@ARCHIVE_EXT@
